## gimplensfun 0.1.1

=== Makefile ===
CFLAGS = -O3 -Wall $(shell gimptool-2.0 --cflags)
LIBS = $(shell gimptool-2.0 --libs) -llensfun -lexiv2
PLUGIN = gimplensfun
SOURCES = gimplensfun.c
CC = /usr/bin/g++
# END CONFIG ##################################################################

.PHONY: all install userinstall clean uninstall useruninstall

all: $(PLUGIN)

OBJECTS = $(subst .c,.o,$(SOURCES))

$(PLUGIN): $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c -o $@ $*.c
	
install: $(PLUGIN)
	@gimptool-2.0 --install-admin-bin $^

userinstall: $(PLUGIN)
	@gimptool-2.0 --install-bin $^

uninstall:
	@gimptool-2.0 --uninstall-admin-bin $(PLUGIN)

useruninstall:
	@gimptool-2.0 --uninstall-bin $(PLUGIN)

clean:
	rm -f *.o $(PLUGIN)

=== debian/changelog ===
gimplensfun (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #608676)

 -- Evgeni Golov <evgeni@debian.org>  Wed, 09 Mar 2011 19:27:04 +0100

=== debian/control ===
Source: gimplensfun
Priority: optional
Section: graphics
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libgimp2.0-dev, libexiv2-dev, liblensfun-dev
Standards-Version: 3.9.1
Homepage: http://lensfun.sebastiankraft.net/
Vcs-Git: git://git.debian.org/users/evgeni/gimplensfun.git
Vcs-Browser: http://git.debian.org/?p=users/evgeni/gimplensfun.git

Package: gimp-lensfun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gimp plugin to correct lens distortion using the lensfun library
 GimpLensfun uses the lensfun library to correct lens distortion of common
 cameras and lenses.

## gimplensfun 0.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS = -O3 -Wall $(shell gimptool-2.0 --cflags)
 LIBS = $(shell gimptool-2.0 --libs) -llensfun -lexiv2
 PLUGIN = gimplensfun
-SOURCES = gimplensfun.c
+SOURCES = src/gimplensfun.c
 CC = /usr/bin/g++
 # END CONFIG ##################################################################
 
@@ -30,4 +30,4 @@
 	@gimptool-2.0 --uninstall-bin $(PLUGIN)
 
 clean:
-	rm -f *.o $(PLUGIN)
+	rm -f src/*.o $(PLUGIN)

=== debian/changelog ===
gimplensfun (0.2-1) unstable; urgency=low

  * Imported Upstream version 0.2
  * refresh 01-debian-cflags-ldflags.patch against 0.2 Makefile
  * Standards-Version: 3.9.2
  * use debhelper 9 compat level
    this pulls in hardening buildflags at no other cost

 -- Evgeni Golov <evgeni@debian.org>  Sat, 22 Oct 2011 13:31:12 +0200

## gimplensfun 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS = -O3 -Wall $(shell gimptool-2.0 --cflags)
+CFLAGS = -O3 -Wall $(shell gimptool-2.0 --cflags) -fopenmp
 LIBS = $(shell gimptool-2.0 --libs) -llensfun -lexiv2
 PLUGIN = gimplensfun
 SOURCES = src/gimplensfun.c

=== debian/changelog ===
gimplensfun (0.2.1-1ubuntu1) raring; urgency=low

  * Modified build infrastructure to use pkg-config information,
    fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 07 Apr 2013 21:54:57 -0400

gimplensfun (0.2.1-1build1) quantal; urgency=low

  * No change rebuild for new exiv2 libs.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 17 May 2012 11:48:53 +0530

gimplensfun (0.2.1-1) unstable; urgency=low

  * Imported Upstream version 0.2.1
  * refresh patch against 0.2.1

 -- Evgeni Golov <evgeni@debian.org>  Wed, 30 Nov 2011 09:49:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gimplensfun
 Priority: optional
 Section: graphics
-Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libgimp2.0-dev, libexiv2-dev, liblensfun-dev
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Build-Depends: debhelper (>= 8.9.0~), libgimp2.0-dev, libexiv2-dev, liblensfun-dev
+Standards-Version: 3.9.2
 Homepage: http://lensfun.sebastiankraft.net/
 Vcs-Git: git://git.debian.org/users/evgeni/gimplensfun.git
 Vcs-Browser: http://git.debian.org/?p=users/evgeni/gimplensfun.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed

export CFLAGS LDFLAGS

%:
	dh $@ 

override_dh_auto_install:
	# why does gimptool-2.0 ignore my DESTDIR?
	# DESTDIR=debian/gimplensfun/ gimptool-2.0 --install-admin-bin gimplensfun
	install -m 755 -D gimplensfun debian/gimp-lensfun/$$(gimptool-2.0 --gimpplugindir)/plug-ins/gimplensfun

## gimplensfun 0.2.3

=== Makefile ===

# enable/disable debug mode
DEBUG ?= 0
ifeq ($(DEBUG), 1)
    CXXFLAGS += -DDEBUG=1
else
    CXXFLAGS += -DDEBUG=0
endif


# set standard values, if not set by default
CXX ?= g++
CXXFLAGS += -O3 -Wall


# project-specific flags
EXTRA_CXXFLAGS += $(shell gimptool-2.0 --cflags && pkg-config --cflags lensfun exiv2)
LDFLAGS += $(shell gimptool-2.0 --libs && pkg-config --libs lensfun exiv2) -lstdc++


# set some system dependent options
SYS := $(shell gcc -dumpmachine)
ifneq (, $(findstring mingw, $(SYS)))
	ifeq ($(DEBUG), 0)
		LDFLAGS += -Wl,-subsystem,windows
	endif
else
	# comment to disable OpenMP
	CXXFLAGS += -fopenmp
	LDFLAGS += -fopenmp
endif


# project data
PLUGIN = gimp-lensfun
SOURCES = src/gimplensfun.cpp
HEADERS = src/LUT.hpp

# END CONFIG ##################################################################

.PHONY: all install userinstall clean uninstall useruninstall

all: $(PLUGIN)

OBJECTS = $(subst .cpp,.o,$(SOURCES))

$(PLUGIN): $(OBJECTS)
	$(CXX) -o $@ $^ $(LDFLAGS)

%.o: %.cpp $(HEADERS)
	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) -c -o $@ $*.cpp

install: $(PLUGIN)
	@gimptool-2.0 --install-admin-bin $^

userinstall: $(PLUGIN)
	@gimptool-2.0 --install-bin $^

uninstall:
	@gimptool-2.0 --uninstall-admin-bin $(PLUGIN)

useruninstall:
	@gimptool-2.0 --uninstall-bin $(PLUGIN)

clean:
	rm -f src/*.o $(PLUGIN)

debug:
	$(MAKE) $(MAKEFILE) DEBUG="-g -g3 -gdwarf-2 -D DEBUG"

=== debian/changelog ===
gimplensfun (0.2.3-1build2) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:12:09 +0200

gimplensfun (0.2.3-1build1) utopic; urgency=medium

  * No change rebuild against new libexiv2-13

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jul 2014 15:59:21 +1200

gimplensfun (0.2.3-1) unstable; urgency=low

  [ Bart Martens ]
  * [34afc69] new debian/watch file for github

  [ Evgeni Golov ]
  * [a7f48d4] Imported Upstream version 0.2.3
  * [12495e7] upstream moved to github, update all the links
  * [60ee461] the binary was renamed, follow the rename
  * [e7515d0] refresh 01-debian-cflags-ldflags.patch

 -- Evgeni Golov <evgeni@debian.org>  Wed, 15 May 2013 22:57:18 +0200

gimplensfun (0.2.2-1) experimental; urgency=low

  * [ad4e1ca] Imported Upstream version 0.2.2
  * [50e0ac6] Update debian/copyright
  * [4657136] refresh patches against 0.2.2
  * [3ccd8f7] Update dependency on debhelper 9
  * [68b0059] Standards-Version: 3.9.4
  * [1c82358] honour CPPFLAGS and thus enable hardening

 -- Evgeni Golov <evgeni@debian.org>  Sun, 06 Jan 2013 22:23:23 +0100

=== debian/control ===
Source: gimplensfun
Priority: optional
Section: graphics
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9), libgimp2.0-dev, libexiv2-dev, liblensfun-dev
Standards-Version: 3.9.4
Homepage: http://seebk.github.io/GIMP-Lensfun/
Vcs-Git: git://git.debian.org/users/evgeni/gimplensfun.git
Vcs-Browser: http://git.debian.org/?p=users/evgeni/gimplensfun.git

Package: gimp-lensfun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gimp plugin to correct lens distortion using the lensfun library
 GimpLensfun uses the lensfun library to correct lens distortion of common
 cameras and lenses.

=== debian/watch ===
version=3
https://github.com/seebk/GIMP-Lensfun/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)(\d\S*)\.tar\.gz

## gimplensfun 0.2.4

=== debian/changelog ===
gimplensfun (0.2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch to add a missing #include and hence 
    fix build with new exiv2 (Closes: 950172).

 -- Peter Michael Green <plugwash@debian.org>  Wed, 05 Feb 2020 23:52:20 +0000

gimplensfun (0.2.4-1) unstable; urgency=medium

  * New upstream release
  * sort dev snapshots before releases in d/watch
  * bump lensfun b-d to >= 0.3.2
  * update Vcs-* fields
  * Standards-Version: 3.9.8

 -- Evgeni Golov <evgeni@debian.org>  Sat, 16 Apr 2016 19:37:18 +0200

=== debian/control ===
Source: gimplensfun
Priority: optional
Section: graphics
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9), libgimp2.0-dev, libexiv2-dev, liblensfun-dev (>= 0.3.2)
Standards-Version: 3.9.8
Homepage: http://seebk.github.io/GIMP-Lensfun/
Vcs-Git: https://anonscm.debian.org/git/users/evgeni/gimplensfun.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/evgeni/gimplensfun.git

Package: gimp-lensfun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gimp plugin to correct lens distortion using the lensfun library
 GimpLensfun uses the lensfun library to correct lens distortion of common
 cameras and lenses.

=== debian/watch ===
version=3
opts="uversionmangle=s/-dev/~dev/" \
https://github.com/seebk/GIMP-Lensfun/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)(\d\S*)\.tar\.gz
